import { createSvgIcon } from "@mui/material/utils";

const SortIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_694_33784)">
      <path
        d="M47.6186 21.5658C47.2091 21.8329 46.7304 21.9741 46.2415 21.9719C42.54 21.9719 42.7507 21.9708 43.0327 21.9694C43.6037 21.9664 44.4674 21.9619 13.7415 21.9619C13.2546 21.9623 12.7782 21.8204 12.3708 21.5538C11.9634 21.2872 11.6427 20.9075 11.4481 20.4612C11.2535 20.0149 11.1935 19.5215 11.2753 19.0415C11.3572 18.5616 11.5774 18.116 11.909 17.7594L27.309 1.17692C27.6504 0.805834 28.0651 0.509618 28.5268 0.306996C28.9885 0.104375 29.4873 -0.000244185 29.9915 -0.000244141C30.4958 -0.000244097 30.9945 0.104375 31.4562 0.306996C31.918 0.509618 32.3326 0.805834 32.674 1.17692L48.074 17.7594C48.4089 18.1156 48.632 18.5621 48.7157 19.0437C48.7995 19.5253 48.7402 20.0209 48.5452 20.4692C48.3502 20.9175 48.028 21.2988 47.6186 21.5658Z"
        fill="currentColor"
      />
      <path
        d="M12.3734 38.4434C12.7828 38.1763 13.2616 38.0352 13.7504 38.0373C17.4519 38.0373 17.2413 38.0384 16.9593 38.0399C16.3882 38.0429 15.5246 38.0473 46.2504 38.0473C46.7373 38.047 47.2137 38.1888 47.6211 38.4554C48.0285 38.722 48.3492 39.1018 48.5438 39.5481C48.7384 39.9944 48.7985 40.4878 48.7166 40.9678C48.6347 41.4477 48.4145 41.8933 48.0829 42.2498L32.6829 58.8323C32.3415 59.2034 31.9269 59.4996 31.4651 59.7023C31.0034 59.9049 30.5047 60.0095 30.0004 60.0095C29.4962 60.0095 28.9974 59.9049 28.5357 59.7023C28.074 59.4996 27.6593 59.2034 27.3179 58.8323L11.9179 42.2498C11.5831 41.8937 11.3599 41.4472 11.2762 40.9656C11.1925 40.4839 11.2518 39.9883 11.4468 39.5401C11.6418 39.0918 11.9639 38.7105 12.3734 38.4434Z"
        fill="currentColor"
      />
    </g>
    <defs>
      <clipPath id="clip0_694_33784">
        <rect width="60" height="60" fill="white" />
      </clipPath>
    </defs>
  </svg>,
  "Sort"
);

export default SortIcon;
